Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

source: orxonox.OLD/orxonox/branches/automake/Makefile.in @ 1949

Last change on this file since 1949 was 1949, checked in by bensch, 20 years ago

orxonox/branches/automake: added necessary files

File size: 16.0 KB
Line 
1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@
3
4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26INSTALL = @INSTALL@
27install_sh_DATA = $(install_sh) -c -m 644
28install_sh_PROGRAM = $(install_sh) -c
29install_sh_SCRIPT = $(install_sh) -c
30INSTALL_HEADER = $(INSTALL_DATA)
31transform = $(program_transform_name)
32NORMAL_INSTALL = :
33PRE_INSTALL = :
34POST_INSTALL = :
35NORMAL_UNINSTALL = :
36PRE_UNINSTALL = :
37POST_UNINSTALL = :
38ACLOCAL = @ACLOCAL@
39AMDEP_FALSE = @AMDEP_FALSE@
40AMDEP_TRUE = @AMDEP_TRUE@
41AMTAR = @AMTAR@
42AUTOCONF = @AUTOCONF@
43AUTOHEADER = @AUTOHEADER@
44AUTOMAKE = @AUTOMAKE@
45AWK = @AWK@
46CC = @CC@
47CCDEPMODE = @CCDEPMODE@
48CFLAGS = @CFLAGS@
49CPP = @CPP@
50CPPFLAGS = @CPPFLAGS@
51CXX = @CXX@
52CXXDEPMODE = @CXXDEPMODE@
53CXXFLAGS = @CXXFLAGS@
54CYGPATH_W = @CYGPATH_W@
55DEFS = @DEFS@
56DEPDIR = @DEPDIR@
57ECHO_C = @ECHO_C@
58ECHO_N = @ECHO_N@
59ECHO_T = @ECHO_T@
60EGREP = @EGREP@
61EXEEXT = @EXEEXT@
62INSTALL_DATA = @INSTALL_DATA@
63INSTALL_PROGRAM = @INSTALL_PROGRAM@
64INSTALL_SCRIPT = @INSTALL_SCRIPT@
65INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
66LDFLAGS = @LDFLAGS@
67LIBOBJS = @LIBOBJS@
68LIBS = @LIBS@
69LTLIBOBJS = @LTLIBOBJS@
70MAKEINFO = @MAKEINFO@
71OBJEXT = @OBJEXT@
72PACKAGE = @PACKAGE@
73PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
74PACKAGE_NAME = @PACKAGE_NAME@
75PACKAGE_STRING = @PACKAGE_STRING@
76PACKAGE_TARNAME = @PACKAGE_TARNAME@
77PACKAGE_VERSION = @PACKAGE_VERSION@
78PATH_SEPARATOR = @PATH_SEPARATOR@
79SET_MAKE = @SET_MAKE@
80SHELL = @SHELL@
81STRIP = @STRIP@
82VERSION = @VERSION@
83ac_ct_CC = @ac_ct_CC@
84ac_ct_CXX = @ac_ct_CXX@
85ac_ct_STRIP = @ac_ct_STRIP@
86am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
87am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
88am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
89am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
90am__include = @am__include@
91am__leading_dot = @am__leading_dot@
92am__quote = @am__quote@
93bindir = @bindir@
94build_alias = @build_alias@
95datadir = @datadir@
96exec_prefix = @exec_prefix@
97host_alias = @host_alias@
98includedir = @includedir@
99infodir = @infodir@
100install_sh = @install_sh@
101libdir = @libdir@
102libexecdir = @libexecdir@
103localstatedir = @localstatedir@
104mandir = @mandir@
105oldincludedir = @oldincludedir@
106prefix = @prefix@
107program_transform_name = @program_transform_name@
108sbindir = @sbindir@
109sharedstatedir = @sharedstatedir@
110sysconfdir = @sysconfdir@
111target_alias = @target_alias@
112SUBDIRS = src console gui
113subdir = .
114ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
116CONFIG_HEADER = config.h
117CONFIG_CLEAN_FILES =
118DIST_SOURCES =
119
120RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
121        ps-recursive install-info-recursive uninstall-info-recursive \
122        all-recursive install-data-recursive install-exec-recursive \
123        installdirs-recursive install-recursive uninstall-recursive \
124        check-recursive installcheck-recursive
125DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
126        COPYING ChangeLog INSTALL Makefile.am NEWS aclocal.m4 \
127        config.h.in configure configure.ac depcomp install-sh missing \
128        mkinstalldirs
129DIST_SUBDIRS = $(SUBDIRS)
130all: config.h
131        $(MAKE) $(AM_MAKEFLAGS) all-recursive
132
133.SUFFIXES:
134
135am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
136 configure.lineno
137$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
138        cd $(top_srcdir) && \
139          $(AUTOMAKE) --gnu  Makefile
140Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
141        cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
142
143$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
144        $(SHELL) ./config.status --recheck
145$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
146        cd $(srcdir) && $(AUTOCONF)
147
148$(ACLOCAL_M4):  configure.ac
149        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
150
151config.h: stamp-h1
152        @if test ! -f $@; then \
153          rm -f stamp-h1; \
154          $(MAKE) stamp-h1; \
155        else :; fi
156
157stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
158        @rm -f stamp-h1
159        cd $(top_builddir) && $(SHELL) ./config.status config.h
160
161$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
162        cd $(top_srcdir) && $(AUTOHEADER)
163        touch $(srcdir)/config.h.in
164
165distclean-hdr:
166        -rm -f config.h stamp-h1
167uninstall-info-am:
168
169# This directory's subdirectories are mostly independent; you can cd
170# into them and run `make' without going through this Makefile.
171# To change the values of `make' variables: instead of editing Makefiles,
172# (1) if the variable is set in `config.status', edit `config.status'
173#     (which will cause the Makefiles to be regenerated when you run `make');
174# (2) otherwise, pass the desired values on the `make' command line.
175$(RECURSIVE_TARGETS):
176        @set fnord $$MAKEFLAGS; amf=$$2; \
177        dot_seen=no; \
178        target=`echo $@ | sed s/-recursive//`; \
179        list='$(SUBDIRS)'; for subdir in $$list; do \
180          echo "Making $$target in $$subdir"; \
181          if test "$$subdir" = "."; then \
182            dot_seen=yes; \
183            local_target="$$target-am"; \
184          else \
185            local_target="$$target"; \
186          fi; \
187          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
188           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
189        done; \
190        if test "$$dot_seen" = "no"; then \
191          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
192        fi; test -z "$$fail"
193
194mostlyclean-recursive clean-recursive distclean-recursive \
195maintainer-clean-recursive:
196        @set fnord $$MAKEFLAGS; amf=$$2; \
197        dot_seen=no; \
198        case "$@" in \
199          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
200          *) list='$(SUBDIRS)' ;; \
201        esac; \
202        rev=''; for subdir in $$list; do \
203          if test "$$subdir" = "."; then :; else \
204            rev="$$subdir $$rev"; \
205          fi; \
206        done; \
207        rev="$$rev ."; \
208        target=`echo $@ | sed s/-recursive//`; \
209        for subdir in $$rev; do \
210          echo "Making $$target in $$subdir"; \
211          if test "$$subdir" = "."; then \
212            local_target="$$target-am"; \
213          else \
214            local_target="$$target"; \
215          fi; \
216          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
217           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
218        done && test -z "$$fail"
219tags-recursive:
220        list='$(SUBDIRS)'; for subdir in $$list; do \
221          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
222        done
223ctags-recursive:
224        list='$(SUBDIRS)'; for subdir in $$list; do \
225          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
226        done
227
228ETAGS = etags
229ETAGSFLAGS =
230
231CTAGS = ctags
232CTAGSFLAGS =
233
234tags: TAGS
235
236ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
237        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
238        unique=`for i in $$list; do \
239            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
240          done | \
241          $(AWK) '    { files[$$0] = 1; } \
242               END { for (i in files) print i; }'`; \
243        mkid -fID $$unique
244
245TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
246                $(TAGS_FILES) $(LISP)
247        tags=; \
248        here=`pwd`; \
249        if (etags --etags-include --version) >/dev/null 2>&1; then \
250          include_option=--etags-include; \
251        else \
252          include_option=--include; \
253        fi; \
254        list='$(SUBDIRS)'; for subdir in $$list; do \
255          if test "$$subdir" = .; then :; else \
256            test -f $$subdir/TAGS && \
257              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
258          fi; \
259        done; \
260        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
261        unique=`for i in $$list; do \
262            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263          done | \
264          $(AWK) '    { files[$$0] = 1; } \
265               END { for (i in files) print i; }'`; \
266        test -z "$(ETAGS_ARGS)$$tags$$unique" \
267          || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
268             $$tags $$unique
269
270ctags: CTAGS
271CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
272                $(TAGS_FILES) $(LISP)
273        tags=; \
274        here=`pwd`; \
275        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
276        unique=`for i in $$list; do \
277            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
278          done | \
279          $(AWK) '    { files[$$0] = 1; } \
280               END { for (i in files) print i; }'`; \
281        test -z "$(CTAGS_ARGS)$$tags$$unique" \
282          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
283             $$tags $$unique
284
285GTAGS:
286        here=`$(am__cd) $(top_builddir) && pwd` \
287          && cd $(top_srcdir) \
288          && gtags -i $(GTAGS_ARGS) $$here
289
290distclean-tags:
291        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
292DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
293
294top_distdir = .
295distdir = $(PACKAGE)-$(VERSION)
296
297am__remove_distdir = \
298  { test ! -d $(distdir) \
299    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
300         && rm -fr $(distdir); }; }
301
302GZIP_ENV = --best
303distuninstallcheck_listfiles = find . -type f -print
304distcleancheck_listfiles = find . -type f -print
305
306distdir: $(DISTFILES)
307        $(am__remove_distdir)
308        mkdir $(distdir)
309        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
310        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
311        list='$(DISTFILES)'; for file in $$list; do \
312          case $$file in \
313            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
314            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
315          esac; \
316          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
317          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
318          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
319            dir="/$$dir"; \
320            $(mkinstalldirs) "$(distdir)$$dir"; \
321          else \
322            dir=''; \
323          fi; \
324          if test -d $$d/$$file; then \
325            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
326              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
327            fi; \
328            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
329          else \
330            test -f $(distdir)/$$file \
331            || cp -p $$d/$$file $(distdir)/$$file \
332            || exit 1; \
333          fi; \
334        done
335        list='$(SUBDIRS)'; for subdir in $$list; do \
336          if test "$$subdir" = .; then :; else \
337            test -d $(distdir)/$$subdir \
338            || mkdir $(distdir)/$$subdir \
339            || exit 1; \
340            (cd $$subdir && \
341              $(MAKE) $(AM_MAKEFLAGS) \
342                top_distdir="$(top_distdir)" \
343                distdir=../$(distdir)/$$subdir \
344                distdir) \
345              || exit 1; \
346          fi; \
347        done
348        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
349          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
350          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
351          ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
352        || chmod -R a+r $(distdir)
353dist-gzip: distdir
354        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
355        $(am__remove_distdir)
356
357dist dist-all: distdir
358        $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
359        $(am__remove_distdir)
360
361# This target untars the dist file and tries a VPATH configuration.  Then
362# it guarantees that the distribution is self-contained by making another
363# tarfile.
364distcheck: dist
365        $(am__remove_distdir)
366        GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
367        chmod -R a-w $(distdir); chmod a+w $(distdir)
368        mkdir $(distdir)/_build
369        mkdir $(distdir)/_inst
370        chmod a-w $(distdir)
371        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
372          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
373          && cd $(distdir)/_build \
374          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
375            $(DISTCHECK_CONFIGURE_FLAGS) \
376          && $(MAKE) $(AM_MAKEFLAGS) \
377          && $(MAKE) $(AM_MAKEFLAGS) dvi \
378          && $(MAKE) $(AM_MAKEFLAGS) check \
379          && $(MAKE) $(AM_MAKEFLAGS) install \
380          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
381          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
382          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
383                distuninstallcheck \
384          && chmod -R a-w "$$dc_install_base" \
385          && ({ \
386               (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
387               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
388               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
389               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
390                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
391              } || { rm -rf "$$dc_destdir"; exit 1; }) \
392          && rm -rf "$$dc_destdir" \
393          && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
394          && rm -f $(distdir).tar.gz \
395          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
396        $(am__remove_distdir)
397        @echo "$(distdir).tar.gz is ready for distribution" | \
398          sed 'h;s/./=/g;p;x;p;x'
399distuninstallcheck:
400        @cd $(distuninstallcheck_dir) \
401        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
402           || { echo "ERROR: files left after uninstall:" ; \
403                if test -n "$(DESTDIR)"; then \
404                  echo "  (check DESTDIR support)"; \
405                fi ; \
406                $(distuninstallcheck_listfiles) ; \
407                exit 1; } >&2
408distcleancheck: distclean
409        @if test '$(srcdir)' = . ; then \
410          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
411          exit 1 ; \
412        fi
413        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
414          || { echo "ERROR: files left in build directory after distclean:" ; \
415               $(distcleancheck_listfiles) ; \
416               exit 1; } >&2
417check-am: all-am
418check: check-recursive
419all-am: Makefile config.h
420installdirs: installdirs-recursive
421installdirs-am:
422
423install: install-recursive
424install-exec: install-exec-recursive
425install-data: install-data-recursive
426uninstall: uninstall-recursive
427
428install-am: all-am
429        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
430
431installcheck: installcheck-recursive
432install-strip:
433        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
434          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
435          `test -z '$(STRIP)' || \
436            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
437mostlyclean-generic:
438
439clean-generic:
440
441distclean-generic:
442        -rm -f $(CONFIG_CLEAN_FILES)
443
444maintainer-clean-generic:
445        @echo "This command is intended for maintainers to use"
446        @echo "it deletes files that may require special tools to rebuild."
447clean: clean-recursive
448
449clean-am: clean-generic mostlyclean-am
450
451distclean: distclean-recursive
452        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
453        -rm -f Makefile
454distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
455
456dvi: dvi-recursive
457
458dvi-am:
459
460info: info-recursive
461
462info-am:
463
464install-data-am:
465
466install-exec-am:
467
468install-info: install-info-recursive
469
470install-man:
471
472installcheck-am:
473
474maintainer-clean: maintainer-clean-recursive
475        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
476        -rm -rf $(top_srcdir)/autom4te.cache
477        -rm -f Makefile
478maintainer-clean-am: distclean-am maintainer-clean-generic
479
480mostlyclean: mostlyclean-recursive
481
482mostlyclean-am: mostlyclean-generic
483
484pdf: pdf-recursive
485
486pdf-am:
487
488ps: ps-recursive
489
490ps-am:
491
492uninstall-am: uninstall-info-am
493
494uninstall-info: uninstall-info-recursive
495
496.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
497        clean-generic clean-recursive ctags ctags-recursive dist \
498        dist-all dist-gzip distcheck distclean distclean-generic \
499        distclean-hdr distclean-recursive distclean-tags distcleancheck \
500        distdir distuninstallcheck dvi dvi-am dvi-recursive info \
501        info-am info-recursive install install-am install-data \
502        install-data-am install-data-recursive install-exec \
503        install-exec-am install-exec-recursive install-info \
504        install-info-am install-info-recursive install-man \
505        install-recursive install-strip installcheck installcheck-am \
506        installdirs installdirs-am installdirs-recursive \
507        maintainer-clean maintainer-clean-generic \
508        maintainer-clean-recursive mostlyclean mostlyclean-generic \
509        mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
510        ps-recursive tags tags-recursive uninstall uninstall-am \
511        uninstall-info-am uninstall-info-recursive uninstall-recursive
512
513# Tell versions [3.59,3.63) of GNU make to not export all variables.
514# Otherwise a system limit (for SysV at least) may be exceeded.
515.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.